classification
Title: The changes made for issue 4074 should be documented
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Python Devguide differs from python docs
View: 41455
Assigned To: docs@python Nosy List: docs@python, iritkatriel, loewis, pitrou, r.david.murray
Priority: normal Keywords:

Created on 2013-02-19 20:24 by r.david.murray, last changed 2021-01-11 19:11 by iritkatriel. This issue is now closed.

Messages (4)
msg182425 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-02-19 20:24
The section of the reference on the gc module goes into some detail on what the thresholds control and when collections are run, but does not currently document the backoff algorithm used when deciding whether or not to collect generation 2.  This should presumably be documented.
msg223252 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-16 18:53
Presumably the responsibility for this lies with the person who made the changes for #4074 ?
msg223323 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2014-07-17 08:34
No. There is no "responsibility" to do anything in an open source project.
msg382583 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-12-05 20:02
I think this has been fixed here in PR21703.
History
Date User Action Args
2021-01-11 19:11:58iritkatrielsetstatus: pending -> closed
stage: needs patch -> resolved
2020-12-05 20:02:36iritkatrielsetstatus: open -> pending

nosy: + iritkatriel
messages: + msg382583

superseder: Python Devguide differs from python docs
resolution: duplicate
2019-04-26 19:51:09BreamoreBoysetnosy: - BreamoreBoy
2014-07-17 08:34:54loewissetnosy: + loewis
messages: + msg223323
2014-07-16 18:53:55BreamoreBoysetnosy: + BreamoreBoy

messages: + msg223252
versions: + Python 3.5, - Python 3.2, Python 3.3
2013-03-13 22:45:07ezio.melottisetassignee: docs@python

type: behavior -> enhancement
components: + Documentation
nosy: + docs@python
2013-02-19 20:24:47r.david.murraycreate